//
//  EDAMNoteStoreClient+Evernote.h
//  CoreNote
//
//  Created by Mustafa Furniturewala on 8/22/13.
//  Copyright (c) 2013 Evernote Corporation. All rights reserved.
//

#import <EDAM/EDAM.h>

@interface EDAMNoteStoreClient (Evernote)


/**
 * Create a new note store client that talks to the specified note store URL using
 * standard thrift protocol and transport
 */
+ (EDAMNoteStoreClient *) clientWithServerURL: (NSURL *) url;


/** Cancel tasks in an NSURLSession.
 */
- (void)cancel;

@end
