//
//  NSString+UUID.h
//  CoreNote
//
//  Created by Andrew McGeachie on 6/17/14.
//  Copyright (c) 2014 Evernote. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSString (UUID)


+ (NSString *) UUID;

// Get the individual bytes of the receiver
// If the receiver is not a valid UUID, the uuid_t parameter is not changed.
- (void)getUUIDBytes:(uuid_t)uuid;

@end
