//
//  dispatch_helpers.h
//  CoreNote
//
//  Created by Andrew McGeachie on 10/16/14.
//  Copyright (c) 2014 Evernote. All rights reserved.
//
//
// THANKS ISAAC!
//

#ifndef CoreNote_dispatch_helpers_h
#define CoreNote_dispatch_helpers_h

#include <dispatch/dispatch.h>

//#ifdef __cplusplus
//extern "C" {
//#endif

  void dispatch_main_sync(dispatch_block_t block);
  void dispatch_main_async(dispatch_block_t block);
  void dispatch_main_after(double seconds, dispatch_block_t block);
  
  void dispatch_global_high_sync(dispatch_block_t block);
  void dispatch_global_high_async(dispatch_block_t block);
  void dispatch_global_high_after(double seconds, dispatch_block_t block);
  
  // these are default priority
  void dispatch_global_sync(dispatch_block_t block);
  void dispatch_global_async(dispatch_block_t block);
  void dispatch_global_after(double seconds, dispatch_block_t block);
  
  void dispatch_global_low_sync(dispatch_block_t block);
  void dispatch_global_low_async(dispatch_block_t block);
  void dispatch_global_low_after(double seconds, dispatch_block_t block);
  
  void dispatch_global_background_sync(dispatch_block_t block);
  void dispatch_global_background_async(dispatch_block_t block);
  void dispatch_global_background_after(double seconds, dispatch_block_t block);
  
  
//#ifdef __cplusplus
//}
//#endif


#endif // CoreNote_dispatch_helpers_h
