//
//  NSString+Normalization.h
//  Evernote
//
//  Created by Steve White on 7/22/13.
//  Copyright (c) 2013 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

#ifndef NSStringNormalizationHeaderGuard
#define NSStringNormalizationHeaderGuard

@interface NSString (Normalization)

- (NSString *) normalizedString;

/**
 * Returns a NormalizationKD string with
 * width insensitive, lower case and diatrics stripped
 */
-(NSString *)stringByLowercasingAndStrippingDiacriticalsNormKD;


@end

#endif
